<template>
  <lightning-card  variant="Narrow"  title={accountName} icon-name="standard:account">
  </lightning-card>

  <br/>
  <lightning-card title="All Open Tickets" icon-name="standard:case" > 
    <br/>
    <template if:true={records}>
      <lightning-datatable data={records}
                            columns={columns}
                            key-field="id"
                            sorted-by={sortBy}
                            sorted-direction={sortDirection}
                            onsort={handleSortdata}
                            onrowaction={handleRowAction}
                            hide-checkbox-column="true"></lightning-datatable>
    </template>
  </lightning-card> 
  
  <template if:true={showAssignmentModal}>
    <section role="dialog"
            tabindex="-1"
            aria-labelledby="modal-heading-01"
            aria-modal="true"
            aria-describedby="modal-content-id-1"
            class="slds-modal slds-fade-in-open slds-modal-medium">

      <div class="slds-modal__container">
        <header class="slds-modal__header">
          <button class="slds-button slds-button_icon slds-modal__close slds-button_icon-inverse" title="Close" onclick={closeAssignmentModal}>
            <lightning-icon icon-name="utility:close" size="medium">
            </lightning-icon>
            <span class="slds-assistive-text">Close</span>
          </button>
          <h2 id="modal-heading-01" class="slds-text-heading_medium slds-hyphenate">Technician Assignment</h2>
        </header>

        <div class="slds-modal__content slds-p-around_medium" id="modal-content-id-1">
          <lightning-dual-listbox name="technicians"
                          label="Select at least 1 technician to assign"
                          source-label="Available Technicians"
                          selected-label="Selected Technicians"
                          options={options}
                          min={min}
                          value={selectedUsers}
                          onchange={handleAssignmentChange}></lightning-dual-listbox>    
        </div>
        <footer class="slds-modal__footer">
          <lightning-button label="Cancel" variant="neutral" onclick={closeAssignmentModal}></lightning-button>&nbsp;&nbsp;&nbsp;&nbsp;
          <lightning-button label={assignButtonLabel} disabled={isUpdateDisabled} variant="brand" onclick={handleAssignment}></lightning-button>
        </footer>          
      </div>
    </section>
    <div class="slds-backdrop slds-backdrop_open"></div>
  </template>
</template>